Name:          rtaudio
Version:       5.2.0
Release:       1mamba
Summary:       A set of C++ classes that provide a common API (Application Programming Interface) for realtime audio input/output
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.music.mcgill.ca/~gary/rtaudio/
Source:        http://www.music.mcgill.ca/~gary/rtaudio/release/rtaudio-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
RtAudio is a set of C++ classes that provide a common API (Application Programming Interface) for realtime audio input/output across Linux, Macintosh OS-X and Windows operating systems. RtAudio significantly simplifies the process of interacting with computer audio hardware. It was designed with the following objectives:

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library that provides a common API (Application Programming Interface) for realtime audio input/output

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
# for RtError.h
Requires:      librtmidi-devel

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --with-alsa \
   --with-jack

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librtaudio.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/rtaudio
%{_includedir}/rtaudio/*.h
%{_libdir}/librtaudio.a
%{_libdir}/librtaudio.la
%{_libdir}/pkgconfig/rtaudio.pc
%{_libdir}/librtaudio.so

%changelog
* Wed Nov 17 2021 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Thu Apr 25 2019 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sun Nov 19 2017 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic update by autodist

* Wed Jun 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.1-2mamba
- rebuilt with gcc 6.1

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic update by autodist

* Thu Oct 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.12-2mamba
- fixed group of librtaudio

* Thu Aug 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.12-1mamba
- package created by silvan using the webbuild interface
